Bug 68935 - [MAINTAINER] net/minisapserver: [add option for SLP via openslp]
Summary: [MAINTAINER] net/minisapserver: [add option for SLP via openslp]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-12 01:10 UTC by Michael Johnson
Modified: 2004-07-13 21:28 UTC (History)
0 users

See Also:


Attachments
minisapserver-0.2.3_1.patch (1.14 KB, patch)
2004-07-12 01:10 UTC, Michael Johnson
no flags Details | Diff
sap.patch (971 bytes, patch)
2004-07-13 20:30 UTC, Michael Johnson
no flags Details | Diff
file.dat (184 bytes, text/plain; charset=US-ASCII; format=flowed)
2004-07-13 20:30 UTC, Michael Johnson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Johnson 2004-07-12 01:10:24 UTC
- add option for SLP via openslp

Generated with FreeBSD Port Tools 0.50
Comment 1 Michael Johnson 2004-07-12 01:14:16 UTC
I meant to change openslp back to slp..

here is a better patch

===================================================================
RCS file: /home/ncvs/ports/net/minisapserver/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	7 Jun 2004 09:03:58 -0000	1.2
+++ Makefile	12 Jul 2004 00:13:03 -0000
@@ -7,6 +7,7 @@

  PORTNAME=	minisapserver
  PORTVERSION=	0.2.3
+PORTREVISION=	1
  CATEGORIES=	net multimedia
   
MASTER_SITES=	http://download.videolan.org/pub/videolan/miniSAPserver/ 
${PORTVERSION}/
  DISTNAME=	miniSAPserver-${PORTVERSION}
@@ -23,6 +24,17 @@
  PLIST_FILES=	bin/sapserver etc/sap.cfg-dist etc/rc.d/sapserver.sh
  USE_RC_SUBR=	yes
  PKGMESSAGE=	${WRKDIR}/pkg-message
+OPTIONS=	SLP "Enable SLP support via openslp" off
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_SLP)
+LIB_DEPENDS+=	slp.1:${PORTSDIR}/net/openslp
+
+CONFIGURE_ARGS=	--enable-slp
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib"
+.endif

  post-patch:
  	@${REINPLACE_CMD} -e 's|$$(prefix)/share/man|${MANPREFIX}/man|; \
@@ -47,4 +59,4 @@
  	@${INSTALL_SCRIPT} ${WRKDIR}/sapserver.sh ${PREFIX}/etc/rc.d/
  	@${CAT} ${PKGMESSAGE}

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
Comment 2 Volker Stolz freebsd_committer 2004-07-13 19:16:54 UTC
Michael, I think your second patch has been wrapped into oblivion. Please  
send it directly to me as an attachment.

Volker
Comment 3 Michael Johnson 2004-07-13 20:30:04 UTC
Here ya go, sorry about that.

Michael
Comment 4 Volker Stolz freebsd_committer 2004-07-13 21:28:34 UTC
State Changed
From-To: open->closed

Committed, thanks!